org.apache.hc.client5.http.impl.async

## Class H2AsyncMainClientExec

- java.lang.Object
- - org.apache.hc.client5.http.impl.async.H2AsyncMainClientExec

All Implemented Interfaces:
  AsyncExecChainHandler

    @Contract(threading=STATELESS)
     @Internal
    public class H2AsyncMainClientExec
    extends Object
    implements AsyncExecChainHandler

Usually the last HTTP/2 request execution handler in the asynchronous request execution chain that is responsible for execution of request / response exchanges with the opposite endpoint.

Since:
  5.0

### Constructor Summary

Constructors
Constructor and Description
`H2AsyncMainClientExec()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `execute(org.apache.hc.core5.http.HttpRequest request, org.apache.hc.core5.http.nio.AsyncEntityProducer entityProducer, AsyncExecChain.Scope scope, AsyncExecChain chain, AsyncExecCallback asyncExecCallback)` Executes the actual HTTP request.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### H2AsyncMainClientExec

    public H2AsyncMainClientExec()

### Method Detail

#### execute

    public void execute(org.apache.hc.core5.http.HttpRequest request,
                        org.apache.hc.core5.http.nio.AsyncEntityProducer entityProducer,
                        AsyncExecChain.Scope scope,
                        AsyncExecChain chain,
                        AsyncExecCallback asyncExecCallback)
                 throws org.apache.hc.core5.http.HttpException,
                        IOException

Description copied from interface: `AsyncExecChainHandler`
Executes the actual HTTP request. The handler can choose to return a response message immediately inside the call or asynchronously at some later point or delegate request execution to the next element in the execution chain.

Specified by:
  `execute` in interface `AsyncExecChainHandler`
Parameters:
  `request` - the actual request.
  `entityProducer` - the request entity producer or `null` if the request does not enclose an entity.
  `scope` - the execution scope .
  `chain` - the next element in the request execution chain.
  `asyncExecCallback` - the execution callback.
Throws:
  `org.apache.hc.core5.http.HttpException`
  `IOException`